Query Information of Multiple Extension Groups
Query the detailed information of multiple extension groups at the same time.
Request URL
GET {base_url}/{api_path}/extensiongroup/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID(s) of extension group(s). Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <ExtGroup_Detailnfo> | The detailed information of extension group. |
ExtGroup_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Extension Group ID. |
| member_select | String | How extensions are added to the group.
|
| members | Array<Member_info> | The information of the member extensions. |
| mgr_enb_chg_presence Available for manager | Integer | Whether managers can change group members' presence status on Operator Panel.
|
| mgr_enb_call_distribution Available for manager | Integer | Whether managers can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations.
|
| mgr_enb_call_conn Available for manager | Integer | Whether managers can pick up or hang up other extensions' calls on Operator Panel.
|
| mgr_enb_monitor Available for manager | Integer | Whether managers can monitor calls on Operator Panel.
|
| mgr_enb_call_park Available for manager | Integer | Whether managers can park and retrieve calls on Operator Panel.
|
| mgr_enb_ctrl_ivr Available for manager | Integer | Whether managers can control IVR calls on Operator Panel, regardless of the IVR menu.
|
| mgr_enb_ctrl_call_flow Available for manager | Integer | Whether managers can control call flow on Operator Panel.
|
| mgr_enb_ctrl_ai_receptionist Available for manager | Integer | Whether managers can manage AI receptionist calls on Operator Panel.
|
| mgr_enb_office_time_switch Available for manager | Integer | Whether managers can switch Business Hours and Holidays status on Operator Panel.
|
| mgr_enb_mgr_recording Available for manager | Integer | Whether managers can change extensions' recording status on Operator Panel.
|
| mgr_enb_company_contact_match Available for manager | Integer | Whether managers can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts.
|
| mgr_enb_ext_call_distribution Available for manager | Integer | Whether managers can distribute incoming calls on Extension Page, including redirect and transfer operations.
|
| mgr_enb_ext_call_conn Available for manager | Integer | Whether managers can pick up or hang up other extensions' calls on Extension Page.
|
| mgr_enb_ext_monitor Available for manager | Integer | Whether managers can monitor calls on Extension Page.
|
| mgr_enb_ext_call_park Available for manager | Integer | Whether managers can park and retrieve calls on Extension Page.
|
| mgr_enb_ext_call_flow Available for manager | Integer | Whether managers can control call flow on Extension Page.
|
| mgr_enb_ext_ai_receptionist Available for manager | Integer | Whether managers can manage AI receptionist calls on Extension Page.
|
| mgr_enb_ext_company_contact_match Available for manager | Integer | Whether managers can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts.
|
| user_enb_chg_presence Available for user | Integer | Whether users can change group members' presence status.
|
| user_enb_call_distribution Available for user | Integer | Whether users can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations.
|
| user_enb_call_conn Available for user | Integer | Whether users can pick up or hang up other extensions' calls on Operator Panel.
|
| user_enb_monitor Available for user | Integer | Whether users can monitor calls on Operator Panel.
|
| user_enb_call_park Available for user | Integer | Whether users can park and retrieve calls on Operator Panel.
|
| user_enb_ctrl_ivr Available for user | Integer | Whether users can control IVR calls on Operator Panel, regardless of the IVR menu.
|
| user_enb_ctrl_call_flow Available for user | Integer | Whether users can control call flow on Operator Panel.
|
| user_enb_ctrl_ai_receptionist Available for user | Integer | Whether users can manage AI receptionist calls on Operator Panel.
|
| user_enb_company_contact_match Available for user | Integer | Whether users can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts.
|
| user_enb_ext_call_distribution Available for user | Integer | Whether users can distribute incoming calls on Extension Page, including redirect and transfer operations.
|
| user_enb_ext_call_conn Available for user | Integer | Whether users can pick up or hang up other extensions' calls on Extension Page.
|
| user_enb_ext_monitor Available for user | Integer | Whether users can monitor calls on Extension Page.
|
| user_enb_ext_call_park Available for user | Integer | Whether users can park and retrieve calls on Extension Page.
|
| user_enb_ext_call_flow Available for user | Integer | Whether users can control call flow on Extension Page.
|
| user_enb_ext_ai_receptionist Available for user | Integer | Whether users can manage AI receptionist calls on Extension Page.
|
| user_enb_ext_company_contact_match Available for user | Integer | Whether users can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts.
|
| name | String | Extension group name. |
Member_info
| Parameter | Type | Description |
|---|---|---|
| ext_id | Integer | Extension ID. |
| ext_num | String | Extension number. |
| first_name | String | First name. |
| last_name | String | Last name. |
| role | String | The extension user's role in the extension group.
|
| enb_chg_presence Available for custom user | Integer | Whether custom users can change group members' presence status on Operator Panel.
|
| enb_call_distribution Available for custom user | Integer | Whether custom users can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations.
|
| enb_call_conn Available for custom user | Integer | Whether custom users can pick up or hang up other extensions' calls on Operator Panel.
|
| enb_monitor Available for custom user | Integer | Whether custom users can monitor calls on Operator Panel.
|
| enb_call_park Available for custom user | Integer | Whether custom users can park and retrieve calls on Operator Panel.
|
| enb_ctrl_ivr Available for custom user | Integer | Whether custom users can control IVR calls on Operator Panel, regardless of the IVR menu.
|
| enb_ctrl_call_flow Available for custom user | Integer | Whether custom users can control call flow on Operator Panel.
|
| enb_ctrl_ai_receptionist Available for custom user | Integer | Whether custom users can manage AI receptionist calls on Operator Panel.
|
| enb_office_time_switch Available for custom user | Integer | Whether custom users can switch Business Hours and Holidays status on Operator Panel.
|
| enb_mgr_recording Available for custom user | Integer | Whether custom users can change group members' recording status on Operator Panel.
|
| enb_company_contact_match Available for custom user | Integer | Whether custom users can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts.
|
| enb_ext_call_distribution Available for custom user | Integer | Whether custom users can distribute incoming calls on Extension Page, including redirect and transfer operations.
|
| enb_ext_call_conn Available for custom user | Integer | Whether custom users can pick up or hang up other extensions' calls on Extension Page.
|
| enb_ext_monitor Available for custom user | Integer | Whether custom users can monitor calls on Extension Page.
|
| enb_ext_call_park Available for custom user | Integer | Whether custom users can park and retrieve calls on Extension Page.
|
| enb_ext_call_flow Available for custom user | Integer | Whether custom users can control call flow on Extension Page.
|
| enb_ext_ai_receptionist Available for custom user | Integer | Whether custom users can manage AI receptionist calls on Extension Page.
|
| enb_ext_company_contact_match Available for custom user | Integer | Whether custom users can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts.
|
Examples
Request example
Query the detailed information of extension groups (ID: 178 & 307).
GET /openapi/v1.0/extension/query?access_token=u04QYrGUwVsivUfszru0VwZzqNSbRbrt&ids=178,307 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 178,
"name": "Docs",
"member_select": "sel_specific",
"members": [
{
"ext_id": 159,
"ext_num": "1000",
"first_name": "Leo Ball",
"last_name": "",
"role": "manager"
},
{
"ext_id": 10,
"ext_num": "1001",
"first_name": "Phillip Huff",
"last_name": "",
"role": "manager"
}
],
"mgr_enb_monitor": 1,
"mgr_enb_call_conn": 1,
"mgr_enb_call_distribution": 1,
"mgr_enb_call_park": 1,
"mgr_enb_ctrl_ivr": 1,
"mgr_enb_office_time_switch": 0,
"mgr_enb_mgr_recording": 0,
"mgr_enb_chg_presence": 1,
"user_enb_call_distribution": 0,
"user_enb_call_conn": 0,
"user_enb_monitor": 0,
"user_enb_call_park": 0,
"user_enb_chg_presence": 0,
"mgr_enb_company_contact_match": 0,
"user_enb_company_contact_match": 0,
"user_enb_ctrl_ivr": 0,
"mgr_enb_ext_call_distribution": 1,
"mgr_enb_ext_call_conn": 1,
"mgr_enb_ext_monitor": 1,
"mgr_enb_ext_call_park": 1,
"mgr_enb_ext_company_contact_match": 0,
"user_enb_ext_call_distribution": 0,
"user_enb_ext_call_conn": 0,
"user_enb_ext_monitor": 0,
"user_enb_ext_call_park": 0,
"user_enb_ext_company_contact_match": 0,
"mgr_enb_ctrl_call_flow": 1,
"mgr_enb_ext_call_flow": 1,
"user_enb_ctrl_call_flow": 0,
"user_enb_ext_call_flow": 0,
"mgr_enb_ctrl_ai_receptionist": 1,
"mgr_enb_ext_ai_receptionist": 0,
"user_enb_ctrl_ai_receptionist": 0,
"user_enb_ext_ai_receptionist": 0
},
{
"id": 307,
"name": "test",
"member_select": "sel_specific",
"members": [
{
"ext_id": 159,
"ext_num": "1000",
"first_name": "Leo Ball",
"last_name": "",
"role": "manager"
},
{
"ext_id": 10,
"ext_num": "1001",
"first_name": "Phillip Huff",
"last_name": "",
"role": "custom",
"enb_chg_presence": 1,
"enb_call_distribution": 1,
"enb_call_conn": 1,
"enb_monitor": 1,
"enb_call_park": 1,
"enb_ctrl_ivr": 1,
"enb_office_time_switch": 1,
"enb_mgr_recording": 1,
"enb_company_contact_match": 1,
"enb_ext_call_distribution": 1,
"enb_ext_call_conn": 1,
"enb_ext_monitor": 1,
"enb_ext_call_park": 1,
"enb_ctrl_call_flow": 1,
"enb_ext_call_flow": 1,
"enb_ext_company_contact_match": 1
},
{
"ext_id": 4,
"ext_num": "1002",
"first_name": "Terrell Smith",
"last_name": "",
"role": "user"
}
],
"mgr_enb_monitor": 1,
"mgr_enb_call_conn": 1,
"mgr_enb_call_distribution": 1,
"mgr_enb_call_park": 1,
"mgr_enb_ctrl_ivr": 1,
"mgr_enb_office_time_switch": 0,
"mgr_enb_mgr_recording": 0,
"mgr_enb_chg_presence": 1,
"user_enb_call_distribution": 0,
"user_enb_call_conn": 0,
"user_enb_monitor": 0,
"user_enb_call_park": 0,
"user_enb_chg_presence": 0,
"mgr_enb_company_contact_match": 0,
"user_enb_company_contact_match": 0,
"user_enb_ctrl_ivr": 0,
"mgr_enb_ext_call_distribution": 1,
"mgr_enb_ext_call_conn": 1,
"mgr_enb_ext_monitor": 1,
"mgr_enb_ext_call_park": 1,
"mgr_enb_ext_company_contact_match": 0,
"user_enb_ext_call_distribution": 0,
"user_enb_ext_call_conn": 0,
"user_enb_ext_monitor": 0,
"user_enb_ext_call_park": 0,
"user_enb_ext_company_contact_match": 0,
"mgr_enb_ctrl_call_flow": 1,
"mgr_enb_ext_call_flow": 1,
"user_enb_ctrl_call_flow": 0,
"user_enb_ext_call_flow": 0,
"mgr_enb_ctrl_ai_receptionist": 1,
"mgr_enb_ext_ai_receptionist": 1,
"user_enb_ctrl_ai_receptionist": 0,
"user_enb_ext_ai_receptionist": 0
}
]
}